Delete a tenant setting
curl --request DELETE \
--url https://api.royalti.io/tenant/settings/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/tenant/settings/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/tenant/settings/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Setting deleted successfully"
}{
"status": "error",
"message": "Retry attempts must be a number between 0 and 10"
}{
"status": "error",
"message": "Retry attempts must be a number between 0 and 10"
}{
"status": "error",
"message": "Retry attempts must be a number between 0 and 10"
}Webhook Config
Delete a tenant setting
Deletes a single tenant setting by name, reverting it to its default (settings with no
DELETE
/
tenant
/
settings
/
{name}
Delete a tenant setting
Description
stored row fall back to the defaults listed in the field table above). Authorization:- Required role:
owner
Code Examples
const response = await fetch('https://api.royalti.io/tenant/settings/{name}', {
method: 'DELETE',
});
const data = await response.json();
console.log(data);
import requests
response = requests.delete(
'https://api.royalti.io/tenant/settings/{name}',
)
data = response.json()
print(data)
curl -X DELETE https://api.royalti.io/tenant/settings/{name} \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Setting name, e.g. webhook-config.url, webhook-config.retryAttempts
Response
Setting deleted successfully
Example:
"Setting deleted successfully"
⌘I